This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1274779 - (CVE-2015-4864) CVE-2015-4864 mysql: unspecified vulnerability related to Server:Security:Privileges (CPU October 2015)
CVE-2015-4864 mysql: unspecified vulnerability related to Server:Security:Pri...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151021,repor...
: Security
Depends On: 1276223
Blocks: 1274745
  Show dependency treegraph
 
Reported: 2015-10-23 09:59 EDT by Martin Prpič
Modified: 2016-04-26 17:01 EDT (History)
25 users (show)

See Also:
Fixed In Version: mysql 5.5.44, mysql 5.6.25, mariadb 5.5.44, mariadb 10.1.8, mariadb 10.0.20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-29 03:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-10-23 09:59:37 EDT
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server : Security : Privileges). Supported versions that are affected are 5.5.43 and earlier and 5.6.24 and earlier. Difficult to exploit vulnerability allows successful authenticated network attacks via multiple protocols. Successful attack of this vulnerability can result in unauthorized update, insert or delete access to some MySQL Server accessible data.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html#AppendixMSQL
Comment 1 Huzaifa S. Sidhpurwala 2015-10-29 03:05:18 EDT
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1276223]
Comment 3 Tomas Hoger 2016-01-26 07:06:12 EST
Oracle CPU indicates this issue was fixed in MySQL 5.5.44 and 5.6.25, hence it was already corrected in the following updates released in August 2015:

Red Hat Enterprise Linux 5 - mysql55-mysql
  https://rhn.redhat.com/errata/RHSA-2015-1628.html

Red Hat Software Collections - mysql55-mysql
  https://rhn.redhat.com/errata/RHSA-2015-1629.html

Red Hat Software Collections - rh-mysql56-mysql
  https://rhn.redhat.com/errata/RHSA-2015-1630.html


MariaDB upstream indicates this was fixed in versions 5.5.44, 10.0.20 and 10.1.8:

https://mariadb.com/kb/en/mariadb-5544-release-notes/
https://mariadb.com/kb/en/mariadb-10020-release-notes/
https://mariadb.com/kb/en/mariadb-1018-release-notes/

Hence it was already corrected in the following updates released in August 2015:

Red Hat Enterprise Linux 7 - mariadb
  https://rhn.redhat.com/errata/RHSA-2015-1665.html

Red Hat Software Collections - mariadb55-mariadb
  https://rhn.redhat.com/errata/RHSA-2015-1647.html

Red Hat Software Collections - rh-mariadb100-mariadb
  https://rhn.redhat.com/errata/RHSA-2015-1646.html

Note You need to log in before you can comment on or make changes to this bug.